Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Text::Tabs

Perl 5 version 18.2 documentation
Go to top
Show page index • Show recent pages
Recently read

# Text::Tabs

- NAME
- SYNOPSIS
- DESCRIPTION
- EXPORTS
- EXAMPLE
- SUBVERSION
- BUGS
- LICENSE

# NAME

Text::Tabs - expand and unexpand tabs like unix expand(1) and unexpand(1)

# SYNOPSIS

      use Text::Tabs;  $tabstop = 4;  # default = 8  @lines_without_tabs = expand(@lines_with_tabs);  @lines_with_tabs = unexpand(@lines_without_tabs);

# DESCRIPTION

Text::Tabs does most of what the unix utilities expand(1) and unexpand(1) do. Given a line with tabs in it, `expand` replaces those tabs with the appropriate number of spaces. Given a line with or without tabs in it, `unexpand` adds tabs when it can save bytes by doing so, like the `unexpand -a` command.

Unlike the old unix utilities, this module correctly accounts for any Unicode combining characters (such as diacriticals) that may occur in each line for both expansion and unexpansion. These are overstrike characters that do not increment the logical position. Make sure you have the appropriate Unicode settings enabled.

# EXPORTS

The following are exported:

- expand
- unexpand
- $tabstop

  The `$tabstop` variable controls how many column positions apart each tabstop is. The default is 8.

  Please note that `local($tabstop)` doesn't do the right thing and if you want to use `local` to override `$tabstop` , you need to use `local($Text::Tabs::tabstop)`.

# EXAMPLE

      #!perl  # unexpand -a  use Text::Tabs;  while (<>) {    print unexpand $_;  }

Instead of the shell's `expand` comand, use:

      perl -MText::Tabs -n -e 'print expand $_'

Instead of the shell's `unexpand -a` command, use:

      perl -MText::Tabs -n -e 'print unexpand $_'

# SUBVERSION

This module comes in two flavors: one for modern perls (5.10 and above) and one for ancient obsolete perls. The version for modern perls has support for Unicode. The version for old perls does not. You can tell which version you have installed by looking at `$Text::Tabs::SUBVERSION` : it is `old` for obsolete perls and `modern` for current perls.

This man page is for the version for modern perls and so that's probably what you've got.

# BUGS

Text::Tabs handles only tabs (`"\t"` ) and combining characters (`/\pM/` ). It doesn't count backwards for backspaces (`"\t"` ), omit other non-printing control characters (`/\pC/` ), or otherwise deal with any other zero-, half-, and full-width characters.

# LICENSE

Copyright (C) 1996-2002,2005,2006 David Muir Sharnoff. Copyright (C) 2005 Aristotle Pagaltzis Copyright (C) 2012 Google, Inc. This module may be modified, used, copied, and redistributed at your own risk. Publicly redistributed modified versions must use a different name.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- EXPORTS
- EXAMPLE
- SUBVERSION
- BUGS
- LICENSE